﻿using System.Web.Mvc;
using System.Linq;
using YellTwitterClient.Models;
using YellTwitterClient.Models.ViewModels;
using YellTwitterClient.Services;

namespace YellTwitterClient.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {            
            ViewBag.Message = "Show me some Tweets!";

            var twitterService = new TwitterService();

            var tweets = twitterService.GetLatest();

            var model = new TweetsModel();

            model.LoadTweets(tweets);

            //model.Tweets.AddRange(tweets.Select(x => new TweetModel
            //                                             {
            //                                                 Username = x.User.Name,
            //                                                 Message = x.Text
            //                                             }));

            return View(model);
        }

        public ActionResult UserDetail(TwitterUser user)
        {
            return View(user);
        }


        public ActionResult About()
        {
            return View();
        }
    }
}