var SL_TwitterParser = new Class({

	//implements
	Implements: [Options],	

	//options
	options: {
	items:  null,					//Array of elements to scan
	autoStart: true				//autostart flag
	},

	//initialization
	initialize: function(options) {
		this.setOptions(options);
		if(this.options.autoStart == true)	this.start();
	},

	//startup method
	start: function() {
		//thanks to David Walsh (www.davidwalshblog.com) for this little tip to avoid using 'bind'
		var self = this;
		
		self.options.items.each(function(el, i){
			//f.y.i.  el = the element, i = the index
			var theTxt = el.get('html');
			var newTxt = self.parseTwitterNames(theTxt);
			newTxt = self.parseTwitterHashes(newTxt);
			el.set('html', newTxt);
		 });
		
	},
	
	
	parseTwitterNames: function (theText) {
		var oldText = theText; 
		//newText = oldText.replace(/[(<=^|\s)]+[@]+([\w]+)/g, function(u) {  //this screws up with parentheses near items...grrr
		newText = oldText.replace(/[<=^|\s]+[@]+([\w]+)/g, function(u) {	//now doesn't handle usernames inside parentheses									  
			u = u.trim();
			var username = u.replace("@","");
			var newLink = ' <a href="http:\/\/www.twitter.com\/'+username+'" target=\"_blank\">@'+username+'<\/a>';
			return newLink;
		});
		
		return newText;
	},
	
	
	parseTwitterHashes: function (theText) {
		var oldText = theText; 
		newText = oldText.replace(/[<=^|\s]+[#]+([\w]+)/g, function(h) {
			h = h.trim();
			var hashtag = h.replace("#","");
			var newLink = ' <a href="http:\/\/www.hashtags.org\/tag\/'+hashtag+'" target=\"_blank\">'+h+'<\/a>';
			return newLink;
		});
		
		return newText;
	}
	
});